Name:           python-pyghee
Version:        0.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        PyGHee (pronounced as 'piggy') is the GitHub Event Executor, a Python library to facilitate creating a GitHub App implemented in Python to process [events from GitHub

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/boegel/pyghee
Source:         %{pypi_source pyghee}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pyghee' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pyghee
Summary:        %{summary}

%description -n python3-pyghee %_description


%prep
%autosetup -p1 -n pyghee-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pyghee -f %{pyproject_files}


%changelog
%autochangelog